Skip to main content
GET
/
api
/
v1
/
feeds
/
{feed_id}
Get a feed
curl --request GET \
  --url https://fulfillment.noyo.com/api/v1/feeds/{feed_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://fulfillment.noyo.com/api/v1/feeds/{feed_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://fulfillment.noyo.com/api/v1/feeds/{feed_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "configuration": {
    "cadence": {
      "end_date": "2024-03-01",
      "next_transmission": "2024-08-30T10:00:00+00:00",
      "paused": true,
      "rrule": "RRULE:FREQ=DAILY",
      "start_date": "2023-03-01",
      "time_of_day": "06:00",
      "zone_info": "US/Eastern"
    }
  },
  "created": 1690395918,
  "last_transmission": {
    "id": "bda1b068-3e6a-4cc3-9769-0fb8a38649ce",
    "sent_timestamp": 1759238254
  },
  "modified": 1690395918,
  "name": "feed-me",
  "next_transmission": 1759339054,
  "paused": false,
  "status": "active",
  "version": "49ed5785-d8e1-4c3d-a09d-2f3625b9f2b1"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

feed_id
string<uuid>
required

Unique identifier of the feed

Response

200 - application/json

Successful Response - Returns a single feed

carrier_id
string<uuid>
required
read-only

Unique identifier of the carrier in Noyo

configuration
object
required

Configuration of the feed

created
integer
required

The date the record was created

group_ids
string<uuid>[]
required
read-only

List of group IDs associated with this feed

id
string<uuid>
required

Unique identifier of the record in Noyo

modified
integer
required

The date the record was last updated

name
string
required
read-only

Status of the feed

paused
boolean | null
required

Whether feed is paused or not

version
string<uuid>
required

Current version of the record

last_transmission
object

Last transmission of feed

next_transmission
string<date-time> | null

Next transmission date of feed